WHENEVER SQLERROR EXIT FAILURE ROLLBACK;
WHENEVER OSERROR  EXIT FAILURE ROLLBACK;

spool GLD_CURRENCY_VL.log

prompt
prompt Creating view GLD_CURRENCY_VL
prompt =============================
prompt

CREATE OR REPLACE FORCE VIEW GLD_CURRENCY_VL as
select  A.ROWID ROW_ID,
        A.CURRENCY_CODE,
        A.ENABLED_FLAG,
        B.DESCRIPTION_TEXT CURRENCY_NAME,
        A.COUNTRY_CODE,
        A.PRECISION,
        A.TRANSACTION_PRECISION,
        A.CURRENCY_SYMBOL,
        A.CREATION_DATE,
        A.CREATED_BY,
        A.LAST_UPDATE_DATE,
        A.LAST_UPDATED_BY
        from GLD_CURRENCY A, FND_DESCRIPTIONS B
WHERE A.CURRENCY_NAME_ID=B.DESCRIPTION_ID(+)
  AND B.REF_TABLE(+)='GLD_CURRENCY'
  AND B.REF_FIELD(+)='CURRENCY_NAME_ID'
  AND B.LANGUAGE(+)=USERENV('LANG')
/


spool off


exit
